Skip to main content
POST
/
api
/
v0
/
bringin-link
/
{standingOrderId}
/
cancel
Cancel connection
curl --request POST \
  --url https://dev.bringin.xyz/api/v0/bringin-link/{standingOrderId}/cancel \
  --header 'api-key: <api-key>'
{
  "immediate": true
}
Initiate cancellation of an active connection’s standing order. The response depends on whether the standing order is shared with other connections. Requires a per-user api-key.
standingOrderId
string
required
The standing order ID (from GET /bringin-link/{id} response)
{
  "immediate": true
}

Two response types

Soft cancel (immediate: true) — Returned when the standing order is shared with other active connections (only possible for Lightning connections). Only your app’s connection is deactivated. The standing order remains active. No OTP needed — you’re done. Hard cancel (challengeId returned) — Returned when this is the last active connection for the standing order. An SMS OTP has been sent to the user. Proceed to Confirm cancellation.
Do not call the confirm endpoint when you receive immediate: true. It’s only needed when the response contains a challengeId.